<?php

namespace idoit\Module\JDisc\Graphql\Type;

use isys_format_json;

class DiscoveryJobReferenceType extends AbstractType implements TypeInterface
{
    /**
     * @return string
     */
    public static function getType(): string
    {
        return 'DiscoveryJobReference';
    }

    /**
     * @return array
     */
    public function getFormattedValue(): array
    {
        return ['jobId' => $this->getValue()];
    }
}